<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getUpgradeLevel](./bitburner.corporation.getupgradelevel.md)

## Corporation.getUpgradeLevel() method

Get the level of a levelable upgrade

**Signature:**

```typescript
getUpgradeLevel(upgradeName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  upgradeName | string | Name of the upgrade |

**Returns:**

number

the level of the upgrade

